> ## Documentation Index
> Fetch the complete documentation index at: https://docs.avidoai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a scrape job by ID



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/avido/openapi.documented.yml get /v0/scrape-jobs/{id}
openapi: 3.1.1
info:
  title: Avido API
  description: >-
    Avido's API for LLM usage events, tool calls, trace management, webhook
    validation, and more. See each endpoint's request/response schema for
    details.
  version: 0.1.0
  contact:
    name: Avido Support
    email: support@avidoai.com
    url: https://avidoai.com/support
servers:
  - url: https://api.avidoai.com
    description: Production API
security:
  - ApiKey: []
    ApplicationId: []
paths:
  /v0/scrape-jobs/{id}:
    get:
      tags:
        - Scrape Jobs
      summary: Get a scrape job by ID
      operationId: getScrapeJob
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
            description: The unique identifier of the scrape job
            example: 123e4567-e89b-12d3-a456-426614174000
          required: true
          description: The unique identifier of the scrape job
      responses:
        '200':
          description: Scrape job retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetScrapeJobResponse'
        '400':
          description: bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Scrape job not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: invalid input
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
        '500':
          description: internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetScrapeJobResponse:
      $ref: '#/components/schemas/ScrapeJobOutput'
      title: Get Scrape Job Response
      description: Response containing the scrape job details
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message explaining the error.
          example: Resource not found
      required:
        - message
      additionalProperties: false
      title: ErrorResponse
      description: Standard error format for failed API operations.
    ValidationErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable error message indicating what went wrong.
          example: Invalid request data
        issues:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
              path:
                type: array
                items:
                  type: string
            required:
              - code
              - message
              - path
            additionalProperties: false
          description: Array of detailed validation error objects.
          example:
            - code: invalid_string
              message: Invalid UUID
              path:
                - id
      required:
        - message
        - issues
      additionalProperties: false
      title: ValidationErrorResponse
      description: Details about validation errors in incoming requests.
    ScrapeJobOutput:
      type: object
      properties:
        id:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: The unique identifier of the scrape job
          example: 123e4567-e89b-12d3-a456-426614174000
        createdAt:
          description: When the scrape job was created
          example: '2024-01-05T12:34:56.789Z'
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        modifiedAt:
          description: When the scrape job was last modified
          example: '2024-01-05T12:34:56.789Z'
          type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        orgId:
          type: string
          description: Organization ID that owns the scrape job
          example: org_123
        applicationId:
          type: string
          format: uuid
          pattern: >-
            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
          description: Application ID this scrape job belongs to
          example: 456e4567-e89b-12d3-a456-426614174000
        initiatedBy:
          type: string
          description: User ID who initiated the scrape job
          example: user_123
        name:
          type: string
          description: The name/title of the scrape job
          example: Documentation Scrape
        url:
          type: string
          maxLength: 2048
          format: uri
          description: The URL that was scraped
          example: https://example.com
        pages:
          description: The pages scraped from the URL
          example:
            - url: https://example.com/page1
              title: Page 1
              description: This is the first page of the documentation.
              category: Documentation
            - url: https://example.com/page2
          type: array
          items:
            $ref: '#/components/schemas/ScrapeJobPageOutput'
        failedPages:
          description: Pages that failed to scrape after all retry attempts
          example:
            - url: https://example.com/page3
              error: Connection timeout after 5 retries
          type: array
          items:
            $ref: '#/components/schemas/ScrapeJobPageFailureOutput'
        status:
          $ref: '#/components/schemas/ScrapeJobStatus'
          description: Current status of the scrape job
        quickstartStatus:
          $ref: '#/components/schemas/QuickstartScrapeJobStatus'
          description: The quickstart association status of the scrape job
      required:
        - id
        - createdAt
        - modifiedAt
        - orgId
        - applicationId
        - initiatedBy
        - name
        - url
        - status
        - quickstartStatus
      additionalProperties: false
      title: Scrape Job
      description: A scrape job for extracting content from a website
    ScrapeJobPageOutput:
      type: object
      properties:
        url:
          type: string
          maxLength: 2048
          format: uri
          description: The URL of the page
          example: https://example.com/page1
        title:
          description: The title of the page
          example: Page 1
          type: string
        description:
          description: The description of the page
          example: This is the first page of the documentation.
          type: string
        category:
          description: The category of the page
          example: Documentation
          type: string
      required:
        - url
      additionalProperties: false
    ScrapeJobPageFailureOutput:
      type: object
      properties:
        url:
          type: string
          maxLength: 2048
          format: uri
          description: The URL that failed to scrape
          example: https://example.com/page1
        error:
          type: string
          description: The error message from the failed scrape attempt
          example: Connection timeout after 5 retries
      required:
        - url
        - error
      additionalProperties: false
      title: Scrape Job Page Failure
      description: Information about a page that failed to scrape after all retry attempts
    ScrapeJobStatus:
      type: string
      enum:
        - MAPPING
        - PENDING
        - IN_PROGRESS
        - COMPLETED
        - FAILED
      description: The status of the scrape job
      example: PENDING
    QuickstartScrapeJobStatus:
      type: string
      enum:
        - PROCESSING
        - REVIEW
        - COMPLETED
        - NOT_ASSOCIATED
      description: The quickstart status of the scrape job
      example: NOT_ASSOCIATED
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: Your unique Avido API key
    ApplicationId:
      type: apiKey
      in: header
      name: x-application-id
      description: Your unique Avido Application ID

````